<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gapc__conn__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gapc_conn_info_t</compoundname>
    <includes local="no">cy_ble_stack_gap_central.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gapc__conn__info__t_1ad7f23c7e304fc64e338b69cceb5e241c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_conn_info_t::scanIntv</definition>
        <argsstring />
        <name>scanIntv</name>
        <briefdescription>
<para>The time interval from when last LE scan is started until next subsequent LE scan. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>Time Range: 2.5 ms to 10.24 sec. </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="181" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="181" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__conn__info__t_1a45087a816d0324eeda431a4ed40de36d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_conn_info_t::scanWindow</definition>
        <argsstring />
        <name>scanWindow</name>
        <briefdescription>
<para>The time duration of scanning to be performed. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>Time Range: 2.5 ms to 10.24 sec </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="186" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="186" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__conn__info__t_1a94d7030cc06582b22ae4476f70a8bb10" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapc_conn_info_t::initiatorFilterPolicy</definition>
        <argsstring />
        <name>initiatorFilterPolicy</name>
        <briefdescription>
<para>Filter policies to be applied during connection procedure. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>CY_BLE_GAPC_CONN_ALL (White List is not used to determine with which advertiser to connect. Peer address is used)</para></listitem><listitem><para>CY_BLE_GAPC_CONN_WHITELIST (White List is used to determine with which advertiser to connect. Peer address shall be ignored) </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="194" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="194" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__conn__info__t_1a9a0787adbca1c5b95d14646949315134" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapc_conn_info_t::peerBdAddr[CY_BLE_GAP_BD_ADDR_SIZE]</definition>
        <argsstring>[CY_BLE_GAP_BD_ADDR_SIZE]</argsstring>
        <name>peerBdAddr</name>
        <briefdescription>
<para>Peer's BD address with which connection is to be established. </para>        </briefdescription>
        <detaileddescription>
<para>BD address should be in Little Endian format. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="198" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="198" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__conn__info__t_1a338fe61c75a18bd907e7837b2e861121" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapc_conn_info_t::peerAddrType</definition>
        <argsstring />
        <name>peerAddrType</name>
        <briefdescription>
<para>Peer's BD address type. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>CY_BLE_GAP_ADDR_TYPE_PUBLIC</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_RANDOM</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_PUBLIC_RPA</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_RANDOM_RPA </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="206" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="206" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__conn__info__t_1a7c30b588fa901312d606b8e43efce4e5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapc_conn_info_t::ownAddrType</definition>
        <argsstring />
        <name>ownAddrType</name>
        <briefdescription>
<para>Own BD address type. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>CY_BLE_GAP_ADDR_TYPE_PUBLIC</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_RANDOM</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_PUBLIC_RPA</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_RANDOM_RPA </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="214" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="214" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__conn__info__t_1a9fdadf92e6400c7aec21ebc798b3b1d1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_conn_info_t::connIntvMin</definition>
        <argsstring />
        <name>connIntvMin</name>
        <briefdescription>
<para>Minimum value for the connection event interval. </para>        </briefdescription>
        <detaileddescription>
<para>This shall be less than or equal to conn_Interval_Max. Minimum connection interval will be connIntvMin * 1.25 ms Time Range: 7.5 ms to 4 sec </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="221" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="221" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__conn__info__t_1ae58e52f9efaac3ecefe59490dff12085" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_conn_info_t::connIntvMax</definition>
        <argsstring />
        <name>connIntvMax</name>
        <briefdescription>
<para>Maximum value for the connection event interval. </para>        </briefdescription>
        <detaileddescription>
<para>This shall be greater than or equal to conn_Interval_Min. Maximum connection interval will be connIntvMax * 1.25 ms Time Range: 7.5 ms to 4 sec </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="228" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="228" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__conn__info__t_1a2265bd15a394257f46dd073871418bf1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_conn_info_t::connLatency</definition>
        <argsstring />
        <name>connLatency</name>
        <briefdescription>
<para>Slave latency for the connection in number of connection events. </para>        </briefdescription>
        <detaileddescription>
<para>Range: 0x0000 to 0x01F3 </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="233" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="233" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__conn__info__t_1ae1c654d780a563a689515aff198f0eca" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_conn_info_t::supervisionTO</definition>
        <argsstring />
        <name>supervisionTO</name>
        <briefdescription>
<para>Supervision time out for the LE Link. </para>        </briefdescription>
        <detaileddescription>
<para>Supervision time out will be supervisionTO * 10 ms Time Range: 100 msec to 32 secs </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="239" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="239" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__conn__info__t_1a19aabd4246287ee22a91d65c5bf9477a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_conn_info_t::minCeLength</definition>
        <argsstring />
        <name>minCeLength</name>
        <briefdescription>
<para>Minimum length of connection needed for this LE connection. </para>        </briefdescription>
        <detaileddescription>
<para>Range: 0x0000 - 0xFFFF </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="244" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="244" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__conn__info__t_1a0593d946b39c673c0e34a9581f14f17f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_conn_info_t::maxCeLength</definition>
        <argsstring />
        <name>maxCeLength</name>
        <briefdescription>
<para>Maximum length of connection needed for this LE connection. </para>        </briefdescription>
        <detaileddescription>
<para>Range: 0x0000 - 0xFFFF </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="249" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="249" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Connection parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="251" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="175" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="176" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gapc__conn__info__t_1ae58e52f9efaac3ecefe59490dff12085" virt="non-virtual"><scope>cy_stc_ble_gapc_conn_info_t</scope><name>connIntvMax</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__conn__info__t_1a9fdadf92e6400c7aec21ebc798b3b1d1" virt="non-virtual"><scope>cy_stc_ble_gapc_conn_info_t</scope><name>connIntvMin</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__conn__info__t_1a2265bd15a394257f46dd073871418bf1" virt="non-virtual"><scope>cy_stc_ble_gapc_conn_info_t</scope><name>connLatency</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__conn__info__t_1a94d7030cc06582b22ae4476f70a8bb10" virt="non-virtual"><scope>cy_stc_ble_gapc_conn_info_t</scope><name>initiatorFilterPolicy</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__conn__info__t_1a0593d946b39c673c0e34a9581f14f17f" virt="non-virtual"><scope>cy_stc_ble_gapc_conn_info_t</scope><name>maxCeLength</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__conn__info__t_1a19aabd4246287ee22a91d65c5bf9477a" virt="non-virtual"><scope>cy_stc_ble_gapc_conn_info_t</scope><name>minCeLength</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__conn__info__t_1a7c30b588fa901312d606b8e43efce4e5" virt="non-virtual"><scope>cy_stc_ble_gapc_conn_info_t</scope><name>ownAddrType</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__conn__info__t_1a338fe61c75a18bd907e7837b2e861121" virt="non-virtual"><scope>cy_stc_ble_gapc_conn_info_t</scope><name>peerAddrType</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__conn__info__t_1a9a0787adbca1c5b95d14646949315134" virt="non-virtual"><scope>cy_stc_ble_gapc_conn_info_t</scope><name>peerBdAddr</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__conn__info__t_1ad7f23c7e304fc64e338b69cceb5e241c" virt="non-virtual"><scope>cy_stc_ble_gapc_conn_info_t</scope><name>scanIntv</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__conn__info__t_1a45087a816d0324eeda431a4ed40de36d" virt="non-virtual"><scope>cy_stc_ble_gapc_conn_info_t</scope><name>scanWindow</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__conn__info__t_1ae1c654d780a563a689515aff198f0eca" virt="non-virtual"><scope>cy_stc_ble_gapc_conn_info_t</scope><name>supervisionTO</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>